Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IOption

All Superinterfaces:
  ICount, IRuntimeNode, IState

All Known Subinterfaces:
  IBomItem

All Known Implementing Classes:
  BomNode, OptionNode

public interface IOption
extends IState, ICount

Implemented by objects that act as options. The defining characteristic of an option is that it can be selected and deselected.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IState
`FALSE, LFALSE, LTRUE, SELECTABLE, SYSTEM_EXCLUDED, TOGGLE, TRUE, UFALSE, UNKNOWN, UTRUE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`void` | `deselect()` Deselect this option.
`boolean` | `isOptionCounted()` Returns true if this is a counted option on which a count can be set
`boolean` | `isOptionMutexed()` Returns true if this option is a child of a mutexed parent
`boolean` | `isSelected()` Returns `true` if this option is selected, and `false` otherwise.
`void` | `select()` Select this option.
`void` | `toggleAndSetCount(int newCount)` Set the count of the option.
`void` | `toggleAndSetDecimalCount(double newCount)`

Methods inherited from interface oracle.apps.cz.cio.IState
`getDetailedSelectionState, getSelectionState, getState, isFalse, isLogic, isTrue, isUnknown, isUser, setState, unset`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Methods inherited from interface oracle.apps.cz.cio.ICount
`getCount, getDecimalCount, setCount, setDecimalCount`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### isSelected

    public boolean isSelected()

  Returns `true` if this option is selected, and `false` otherwise.

### select

    public void select()
                throws LogicalException

  Select this option.
    `LogicalException`

### deselect

    public void deselect()
                  throws LogicalException

  Deselect this option.
    `LogicalException`

### isOptionMutexed

    public boolean isOptionMutexed()

  Returns true if this option is a child of a mutexed parent

### isOptionCounted

    public boolean isOptionCounted()

  Returns true if this is a counted option on which a count can be set

### toggleAndSetCount

    public void toggleAndSetCount(int newCount)
                           throws LogicalException

  Set the count of the option. If this option's parent is mutually exclusive and already has a selection, this method will first try to deselect it
    `LogicalException`

### toggleAndSetDecimalCount

    public void toggleAndSetDecimalCount(double newCount)
                                  throws LogicalException

    `LogicalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.